net.sourceforge.pmd.cli

## Class PMDParameters

- java.lang.Object
- - net.sourceforge.pmd.cli.PMDParameters

    public class PMDParameters
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PMDParameters()`

### Method Summary

Methods
`String` `getAuxclasspath()`
`String` `getEncoding()`
`String` `getFormat()`
`String` `getLanguage()`
`RulePriority` `getMinimumPriority()`
`Properties` `getProperties()`
`String` `getReportfile()`
`String` `getRulesets()`
`String` `getSourceDir()`
`String` `getSuppressmarker()`
`Integer` `getThreads()`
`String` `getVersion()`
`boolean` `isBenchmark()`
`boolean` `isDebug()`
`boolean` `isHelp()`
`boolean` `isShortnames()`
`boolean` `isShowsuppressed()`
`boolean` `isStress()`
`static PMDConfiguration` `transformParametersIntoConfiguration(PMDParameters params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PMDParameters

    public PMDParameters()

### Method Detail

#### transformParametersIntoConfiguration

    public static PMDConfiguration transformParametersIntoConfiguration(PMDParameters params)

#### isDebug

    public boolean isDebug()

#### isHelp

    public boolean isHelp()

#### getEncoding

    public String getEncoding()

#### getThreads

    public Integer getThreads()

#### isBenchmark

    public boolean isBenchmark()

#### isStress

    public boolean isStress()

#### isShortnames

    public boolean isShortnames()

#### isShowsuppressed

    public boolean isShowsuppressed()

#### getSuppressmarker

    public String getSuppressmarker()

#### getMinimumPriority

    public RulePriority getMinimumPriority()

#### getProperties

    public Properties getProperties()

#### getReportfile

    public String getReportfile()

#### getVersion

    public String getVersion()

#### getLanguage

    public String getLanguage()

#### getAuxclasspath

    public String getAuxclasspath()

#### getRulesets

    public String getRulesets()

#### getSourceDir

    public String getSourceDir()

#### getFormat

    public String getFormat()